<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_DoorlockCommandResultInfo StructType
 * @subpackage Structs
 */
class Send_DoorlockCommandResultInfo extends AbstractStructBase
{
    /**
     * The Vehicle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleItem
     */
    public $Vehicle;
    /**
     * The Trailer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TrailerItem
     */
    public $Trailer;
    /**
     * Constructor method for Send_DoorlockCommandResultInfo
     * @uses Send_DoorlockCommandResultInfo::setVehicle()
     * @uses Send_DoorlockCommandResultInfo::setTrailer()
     * @param \StructType\VehicleItem $vehicle
     * @param \StructType\TrailerItem $trailer
     */
    public function __construct(\StructType\VehicleItem $vehicle = null, \StructType\TrailerItem $trailer = null)
    {
        $this
            ->setVehicle($vehicle)
            ->setTrailer($trailer);
    }
    /**
     * Get Vehicle value
     * @return \StructType\VehicleItem|null
     */
    public function getVehicle()
    {
        return $this->Vehicle;
    }
    /**
     * Set Vehicle value
     * @param \StructType\VehicleItem $vehicle
     * @return \StructType\Send_DoorlockCommandResultInfo
     */
    public function setVehicle(\StructType\VehicleItem $vehicle = null)
    {
        $this->Vehicle = $vehicle;
        return $this;
    }
    /**
     * Get Trailer value
     * @return \StructType\TrailerItem|null
     */
    public function getTrailer()
    {
        return $this->Trailer;
    }
    /**
     * Set Trailer value
     * @param \StructType\TrailerItem $trailer
     * @return \StructType\Send_DoorlockCommandResultInfo
     */
    public function setTrailer(\StructType\TrailerItem $trailer = null)
    {
        $this->Trailer = $trailer;
        return $this;
    }
}
